﻿@using System.Web.UI.WebControls;


<table width="100%" border="0">
    <tr>
        <td >
            
                @Html.DevExpress().Label(
                       edtSettings =>
                       {
                           edtSettings.ControlStyle.CssClass = "label";
                           edtSettings.Text = "POA Number:";
                           edtSettings.AssociatedControlName = "POAnumber";
                       }
                            ).GetHtml()
            
        </td>

        <td >
               @Html.DevExpress().TextBox(
                            edtSettings =>
                            {
                                edtSettings.Name = "POAnumber";
                                edtSettings.Width=Unit.Percentage(85);
                            }).GetHtml()
        </td>
    </tr>

    <tr>
        <td >
        
                @Html.DevExpress().Label(
                        edtSettings =>
                        {
                            edtSettings.ControlStyle.CssClass = "label";
                            edtSettings.Text = "Grantor:";
                            edtSettings.AssociatedControlName = "Grantors";
                        }
                        ).GetHtml()
       
        </td>
        <td>
                @Html.DevExpress().TextBox(
                       edtSettings =>
                       {
                           edtSettings.Name = "GRANTOR";
                           edtSettings.ControlStyle.CssClass = "editor";
                           edtSettings.Width = Unit.Percentage(100);
                           edtSettings.ShowModelErrors = true;
                          
                       }
                            ).Bind(ViewData["getUser"]).GetHtml()
        
        </td>
    </tr>

    <tr>
        <td>
           @Html.DevExpress().Label(
                       edtSettings =>
                       {
                           edtSettings.ControlStyle.CssClass = "label";
                           edtSettings.Text = "Attorney:";
                           edtSettings.AssociatedControlName = "Grantors";
                       }
                   ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                         edtSettings =>
                         {
                             edtSettings.Name = "ATTORNEY";
                             edtSettings.Width = System.Web.UI.WebControls.Unit.Percentage(85);
                             edtSettings.SelectedIndex = 0;
                             edtSettings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                             edtSettings.Properties.DropDownStyle = DropDownStyle.DropDown;
                             edtSettings.Properties.TextField = "USERNAME";
                             edtSettings.Properties.ValueField = "USERNAME";
                          
                         }
                              ).BindList(ViewData["getAttId"]).GetHtml()
        
        </td>
    </tr>
    <tr>
    <td>
        @Html.DevExpress().Label(
                       edtSettings =>
                       {
                           edtSettings.ControlStyle.CssClass = "label";
                           edtSettings.Text = "Reason:";
                           edtSettings.AssociatedControlName = "reasons";
                       }
                   ).GetHtml()
    </td>
    <td>
       @Html.DevExpress().TextBox(
                       edtSettings =>
                       {
                           edtSettings.Name = "REASON";
                           edtSettings.ControlStyle.CssClass = "editor";
                           edtSettings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                           edtSettings.ShowModelErrors = true;
                       }
                   ).GetHtml()
    </td>
    </tr>
    <tr>
    <td>
       @Html.DevExpress().Label(
                      edtSettings =>    
                      {
                          edtSettings.ControlStyle.CssClass = "label";
                          edtSettings.Text = "OFFICE_STATUS:";
                          edtSettings.AssociatedControlName = "reasons";
                      }
                  ).GetHtml()
                  
    </td>
    <td>
      @*  @Html.DevExpress().TextBox(
                       edtSettings =>
                       {
                           edtSettings.Name = "OFFICE_STATUS";
                           edtSettings.ControlStyle.CssClass = "editor";
                           edtSettings.ShowModelErrors = true;
                           edtSettings.Width = Unit.Percentage(100);
                       }
                   ).GetHtml()
                   *@
                     @Html.DevExpress().ComboBox(
                            edtSettings =>
                            {
                                edtSettings.Name = "OFFICE_STATUS";
                    edtSettings.Properties.Items.Add("Out Of Office","TRUE");
                    edtSettings.Properties.Items.Add("In Office","FALSE");
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.Properties.TextField = "Sort";
                    edtSettings.Properties.ValueField = "Sort";
                    edtSettings.Properties.ValueType = typeof(string);
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                            }).GetHtml()
            
    </td>
    </tr>
     <div style="height:12px;"></div>
    <tr>
    <td>
                 @Html.DevExpress().Button(
                                edtSettings =>
                                {
                                    edtSettings.Text = "Save";
                                    edtSettings.Name = "cmdSave";
                                    edtSettings.Width = 80;
                                    edtSettings.ClientSideEvents.Click = "SavePOA";
                                 //   edtSettings.ClientVisible = inquiryList.Count > 0;
                            }).GetHtml()
    
    </td>
    <td>


                   @Html.DevExpress().Button(
                                edtSettings =>
                                {
                                    edtSettings.Text = "cancel";
                                    edtSettings.Name = "cmdcancel";
                                    edtSettings.Width = 80;
                                    edtSettings.ClientSideEvents.Click = "function(s, e){ popupNew.Hide(); }";
                                 //   edtSettings.ClientVisible = inquiryList.Count > 0;
                            }).GetHtml()
    </td>
    </tr>
</table>
    